/*ScianTemplateLib.h
  Template library for SciAn controls
  Eric Pepke
  August 10, 1992
*/

Template VisAsTemplate[] =
    {
	{"Show Controls", 180, 340, 10, 40},
	{"Visualize", 10, 170, 10, 40},
	{"Visualizations Corral", 10, 316, 74, 215},
	{"Visualization Type Field", 10, 340, 250, 318},
	{"Visualize As String", 10, 312, 322, 340},
	{"Panel", 0, 350, 0, 350},
	{"", 0, 0, 0, 0}
    };


Template VisContoursTemplate[] =
    {
	{"Divisions Text", 20, 122, 12, 30},
	{"Maximum Text", 20, 122, 84, 102},
	{"Step Text", 20, 122, 48, 66},
	{"Minimum Text", 20, 122, 120, 138},
	{"Origin Text", 20, 122, 156, 174},

	{"Divisions", 137, 229, 10, 36},
	{"Step", 137, 229, 46, 72},
	{"Maximum", 137, 229, 82, 108},
	{"Minimum", 137, 229, 118, 144},
	{"Origin", 137, 229, 154, 180},

	{"Contour Field Text", 20, 158, 206, 224},
	{"Contour Field", 20, 158, 230, 320},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisPointCloudTemplate[] =
    {
	{"Random Jitter", 178, 418, 266, 288},
	{"Show Missing Data", 178, 418, 298, 320},
	{"Points Field Text", 20, 158, 206, 224},
	{"Points Field", 20, 158, 230, 320},
	{"Bounds", 0, 112, -298, -236},
	{"Color", 0, 112, -226, -164},
	{"Dots", 0, 112, -154, -92},
	{"Point Cloud", 0, 112, -82, -20},
	{"Visualization Object Attributes", 438, 556, 10, 330},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisDeformTemplate[] =
    {
	{"Invert Surface", 20, 241, 20, 42},
	{"Factor Text", 268, 384, 245, 266},
	{"Deformation Factor", 268, 385, 272, 298},
	{"Splat", 248, 268, 272, 298},
	{"Deform Switch", 168, 238, 84, 352},
	{"Fixed Deformation Text", 0, 178, 230, 266},
	{"Fixed Deformation", 20, 158, 272, 298},
	{"Deform Field Text", 20, 158, 82, 100},
	{"Deform Field", 20, 158, 106, 196},
	{"Bounds", 0, 92, -586, -524},
	{"Color", 0, 92, -514, -452},
	{"Dots", 0, 92, -442, -380},
	{"Lines", 0, 92, -370, -308},
	{"Surface", 0, 92, -298, -236},
	{"Deform", 0, 92, -226, -164},
	{"Dataset", 0, 92, -154, -92},
	{"Mesh", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Deformation Offset", 306, 424, 214, 240},
	{"Plus", 286, 306, 214, 240},
	{"Offset Text", 305, 423, 172, 208},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisSticksTemplate[] =
    {
	{"Fill In Selection", 10, 199, 72, 98},
	{"Deselect All Atoms", 10, 199, 10, 36},
	{"Select All Atoms", 10, 199, 41, 67},
	{"Hide Residue Bases", 238, 428, 196, 222},
	{"Hide Detailed Bonds", 238, 428, 227, 253},
	{"Show Residue Bases", 238, 428, 273, 299},
	{"Show Detailed Bonds", 238, 428, 304, 330},
	{"Bounds", 0, 92, -370, -308},
	{"Color", 0, 92, -298, -236},
	{"Dots", 0, 92, -226, -164},
	{"Lines", 0, 92, -154, -92},
	{"Sticks", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisNumbersTemplate[] =
    {
	{"Format Text", 188, 428, 274, 300},
	{"Format:", 188, 278, 302, 320},
	{"No background", 200, 350, 20, 42},
	{"Background Value Label", 290, 350, 52, 70},
	{"Background Value", 300, 340, 80, 160},
	{"Background Color Label", 200, 280, 52, 70},
	{"Background Color", 200, 280, 80, 160},
	{"Background", 190, 360, 10, 180},
	{"Text Value Label", 110, 170, 52, 70},
	{"Text Color Value", 120, 160, 80, 160},
	{"Text Color Label", 20, 100, 52, 70},
	{"Text Color", 20, 100, 80, 160},
	{"Text", 10, 180, 10, 180},
	{"Numbers Field Text", 20, 128, 206, 224},
	{"Numbers Field", 20, 128, 230, 320},
	{"Slice", 0, 92, -154, -92},
	{"Numbers", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisWireFrameTemplate[] =
    {
	{"Antialiasing", 258, 408, 234, 256},
	{"Pixels Legend", 334, 394, 104, 122},
	{"Width Slider Readout", 258, 328, 102, 128},
	{"Line Width Legend", 257, 407, 138, 156},
	{"Width Slider", 258, 408, 162, 200},
	{"Depth Cueing", 258, 408, 266, 288},
	{"Draw Lines", 258, 408, 298, 320},
	{"Bounds", 0, 92, -370, -308},
	{"Color", 0, 92, -298, -236},
	{"Dots", 0, 92, -226, -164},
	{"Lines", 0, 92, -154, -92},
	{"Sticks", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisDotsTemplate[] =
    {
	{"Bigger Dots", 257, 408, 202, 224},
	{"Antialiasing", 258, 408, 234, 256},
	{"Depth Cueing", 258, 408, 266, 288},
	{"Draw Dots", 258, 408, 298, 320},
	{"Bounds", 0, 92, -514, -452},
	{"Color", 0, 92, -442, -380},
	{"Dots", 0, 92, -370, -308},
	{"Lines", 0, 92, -298, -236},
	{"Surface", 0, 92, -226, -164},
	{"Deform", 0, 92, -154, -92},
	{"Mesh", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template LineTemplate[] =
    {
	{"None", 190, 330, 101, 123},
	{"Dithered Gray", 190, 330, 74, 96},
	{"Alpha Gray", 190, 330, 47, 69},
	{"Black", 190, 330, 20, 42},
	{"Shadow Radio", 190, 330, 20, 123},
	{"Shadow", 180, 340, 10, 143},
	{"At End", 190, 330, 213, 235},
	{"At Start", 190, 330, 245, 267},
	{"Arrowhead", 180, 340, 153, 287},
	{"Pixels Legend", 100, 160, 26, 44},
	{"Width Slider Readout", 20, 90, 25, 51},
	{"Line Width Legend", 20, 160, 61, 79},
	{"Width Slider", 20, 160, 85, 125},
	{"Text Value Label", 110, 170, 163, 181},
	{"Line Color Value", 120, 160, 187, 267},
	{"Line Color Label", 20, 100, 163, 181},
	{"Line Color", 20, 100, 187, 267},
	{"Line", 10, 170, 10, 287},
	{"Panel", 0, 349, 0, 296},
	{"", 0, 0, 0, 0}
    };

Template SpaceTemplate[] =
    {
	{"Show Motion Guides", 10, 218, 11, 33},
	{"Show Rotation Guides", 10, 217, 43, 65},
	{"Panel", 0, 228, 0, 75},
	{"", 0, 0, 0, 0}
    };

Template ArrowsTemplate[] =
    {
	{"Solid", 336, 418, 260, 282},
	{"Flat", 336, 418, 287, 309},
	{"Wire", 255, 326, 260, 282},
	{"Line", 255, 326, 287, 309},
	{"Arrow Style", 245, 428, 250, 329},
	{"Head LENGTH Number", 170, 270, 62, 88},
	{"Head Length Text", 20, 160, 63, 81},
	{"Head Radius Number", 170, 270, 98, 124},
	{"Head Radius Text", 20, 160, 99, 117},
	{"Shaft Radius Number", 170, 270, 134, 160},
	{"Shaft Radius Text", 20, 160, 135, 153},
	{"Arrow Length Number", 170, 270, 170, 196},
	{"Arrow Length Text", 20, 160, 171, 189},
	{"Arrows Field Text", 20, 128, 206, 224},
	{"Arrows Field", 20, 128, 230, 320},
	{"Bounds", 0, 92, -442, -380},
	{"Color", 0, 92, -370, -308},
	{"Surface", 0, 92, -298, -236},
	{"Geometry", 0, 92, -226, -164},
	{"Slice", 0, 92, -154, -92},
	{"Arrows", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 569, 0, 339},
	{"", 0, 0, 0, 0}
    };

Template RendererTemplate[] =
    {
	{"Color Map Hardware", 20, 226, 136, 158},
	{"No Filter", 20, 226, 74, 96},
	{"2 to 1 shrink", 20, 226, 47, 69},
	{"Four neighbor average", 20, 226, 20, 42},
	{"Image Filter", 10, 236, 10, 116},
	{"No Renderer", 20, 226, 190, 212},
	{"Full Color Hardware", 20, 226, 163, 185},
	{"Renderer Type", 10, 236, 126, 232},
	{"Panel", 0, 246, 0, 242},
	{"", 0, 0, 0, 0}
    };

Template PaletteTemplate[] =
    {
	{"Ramp", 10, 182, 319, 349},
	{"Reverse", 192, 364, 319, 349},
	{"Smooth", 374, 546, 319, 349},
	{"Sharpen", 556, 728, 319, 349},

	{"Palette Colors", 198, 728, 46, 299},
	{"Free form", 20, 66, 233, 279},
	{"Sine", 76, 122, 233, 279},
	{"Triangle", 132, 178, 233, 279},
	{"Sawtooth", 20, 66, 177, 223},
	{"Toothsaw", 76, 122, 177, 223},
	{"Square", 132, 178, 177, 223},
	{"Waveform Tools", 378, 536, 285, 381},
	{"Edit Component", 10, 188, 167, 299},
	{"Intensity Text", 108, 188, 52, 70},
	{"Intensity", 132, 172, 77, 157},
	{"HS Text", 8, 128, 52, 70},
	{"Color", 26, 106, 77, 157},
	{"NColors Legend", 120, 174, 10, 32},
	{"N Colors", 10, 110, 10, 36},
	{"Field Max Legend", 478, 588, 10, 31},
	{"Field Max", 598, 728, 10, 36},
	{"Field Min Legend", 188, 280, 10, 32},
	{"Field Min", 290, 420, 10, 36},
	{"Panel", 0, 738, 0, 359},
	{"", 0, 0, 0, 0}
    };

Template ObserverTemplate[] =
    {
	{"Reset Rotation", 10, 205, 255, 285},
	{"Reset Position", 10, 205, 215, 245},
	{"Perspective Text", 230, 340, 10, 28},
	{"Perspective Control", 225, 342, 38, 285},
	{"Binocular Spacing", 10, 210, 10, 36},
	{"Binocular Legend", 10, 184, 46, 64},
	{"Perspective", 20, 184, 162, 184},
	{"Orthographic", 20, 184, 136, 158},
	{"Crosseyed Stereo", 20, 194, 110, 132},
	{"Anaglyphic Stereo", 20, 194, 84, 106},
	{"View Type Radio", 12, 340, 364, 413},
	{"View Type", 10, 205, 74, 205},
	{"Panel", 0, 352, 0, 295},
	{"", 0, 0, 0, 0}
    };

Template BallsTemplate[] =
    {
	{"Jacks", 298, 418, 288, 310},
	{"Cubes", 298, 418, 256, 278},
	{"Octohedra", 298, 418, 224, 246},
	{"Spheres", 298, 418, 192, 214},
	{"Style", 288, 428, 150, 330},
	{"Bounds", 0, 92, -370, -308},
	{"Color", 0, 92, -298, -236},
	{"Surface", 0, 92, -226, -164},
	{"Size", 0, 92, -154, -92},
	{"Points", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

